# -*- coding: utf-8 -*-
###########################################################
##
##  @brief  GS_Miarmy設定値
##  @file   define.py
##
##  Copyright(C) 2014 Digital Frontier Inc.
##
##    [免責事項]
##        本ツール、コードを使用したことによって
##        引き起こるいかなる損害も当方は一切責任を負いかねます。
##        自己責任でご使用ください。
##        
##        Terms of Use
##        The following script is provided for your conveniece and is used at your
##        own discretion and risk. Digital Frontier is not responsible for any
##        damage to your computer system or loss of data that results from the
##        access, download and use of the content on this site.
##
###########################################################
import os
import sys
import pymel.core as pm

sys.dont_write_bytecode = True

##---------------------------------------------------------
## 環境変数を設定
##---------------------------------------------------------
## @param <str>name  : environment name
## @param <str>value : environment value
## @return True/False
def setPath(name, value):
    try:
        if os.environ.has_key( name ):
            if os.environ[name] != None and os.environ[name] != "":
                os.environ[name] = os.environ[name] + ";" + value
                return True
        os.environ[name] = value
        return True
    except:
        return False


#setPath('MAYA_UI_LANGUAGE', 'en_US')


##---------------------------------------------------------
## 現在のmaya versionとプロジェクトを取得
##---------------------------------------------------------
## @param None
## @return <str>MAYAver : maya version
## @return <str>user    : user
def getMayaInfo():

    MAYAver = pm.about(v=True).replace(' ', '').replace(r'x64', '')
    is64    = pm.about(is64=True)
    user    = os.environ['USER']

    return MAYAver, is64, user



MAYAver, is64, user = getMayaInfo()
if is64:
    bitinfo = '-x64'
else:
    bitinfo = ''
currentDir = 'C:/Users/' + user + '/Documents/maya/' + MAYAver + bitinfo + '/scripts/GS_Miarmy'
